package org.processmining.plugins.causalgraph;

import javax.swing.JComponent;

import org.processmining.contexts.uitopia.annotations.Visualizer;
import org.processmining.framework.plugin.PluginContext;
import org.processmining.framework.plugin.annotations.Plugin;
import org.processmining.models.causalgraph.SimpleCausalGraph;
import org.processmining.plugins.graphviz.visualisation.DotPanel;

public final class CausalGraphVisualizerPlugin {

	@Plugin(name = "Simple causal graph", returnLabels = { "Visualized Simple Causal Graph" }, returnTypes = {
			JComponent.class }, parameterLabels = { "Simple Causal Graph" }, userAccessible = true)
	@Visualizer
	public JComponent visualize(PluginContext context, SimpleCausalGraph causalGraph) {
		CausalGraphDotConverter dotConverter = new CausalGraphDotConverter(causalGraph);
		DotPanel dotPanel = new DotPanel(dotConverter.convert());
		return dotPanel;
	}

}