package org.processmining.plugins.dcnet;

import java.awt.Color;
import java.awt.Image;
import java.awt.Stroke;
import java.util.List;

import javax.swing.JPopupMenu;

import org.processmining.models.cnet.CNetBinding;
import org.processmining.models.cnet.CNetNode;

public class WrappingNodeDecorator implements NodeDecorator {

	private NodeDecorator wrappedDecorator;

	public WrappingNodeDecorator(NodeDecorator delegate) {
		this.wrappedDecorator = delegate;
	}

	public String getBindingLabel(CNetBinding binding) {
		return wrappedDecorator.getBindingLabel(binding);
	}

	public Color getBindingEdgeColor(CNetBinding binding) {
		return wrappedDecorator.getBindingEdgeColor(binding);
	}

	public float getBindingEdgeWidth(CNetBinding binding) {
		return wrappedDecorator.getBindingEdgeWidth(binding);
	}

	public Color getBindingFillColor(CNetBinding binding) {
		return wrappedDecorator.getBindingFillColor(binding);
	}

	public Color getBindingStrokeColor(CNetBinding binding) {
		return wrappedDecorator.getBindingStrokeColor(binding);
	}

	public Stroke getBindingStroke(CNetBinding binding) {
		return wrappedDecorator.getBindingBorderStroke(binding);
	}

	public double getBindingSize(CNetBinding binding) {
		return wrappedDecorator.getBindingSize(binding);
	}

	public BorderStyle getBindingBorderStyle(CNetBinding binding) {
		return wrappedDecorator.getBindingBorderStyle(binding);
	}

	public Color getBindingBorderColor(CNetBinding binding) {
		return wrappedDecorator.getBindingBorderColor(binding);
	}

	public Stroke getBindingBorderStroke(CNetBinding binding) {
		return wrappedDecorator.getBindingBorderStroke(binding);
	}

	public Color getNodeFillColor(CNetNode node) {
		return wrappedDecorator.getNodeFillColor(node);
	}

	public String getNodeLabel(CNetNode node) {
		return wrappedDecorator.getNodeLabel(node);
	}

	public JPopupMenu getNodeMenu(CNetNode node) {
		return wrappedDecorator.getNodeMenu(node);
	}

	public JPopupMenu getBindingMenu(CNetBinding binding) {
		return wrappedDecorator.getBindingMenu(binding);
	}

	public List<ColorSegment> getNodeColorSegments(CNetNode node) {
		return wrappedDecorator.getNodeColorSegments(node);
	}

	public List<TrafficLightSegment> getNodeTrafficLights(CNetNode cnetNode) {
		return wrappedDecorator.getNodeTrafficLights(cnetNode);
	}

	public Image getNodeIcon(CNetNode cnetNode) {
		return wrappedDecorator.getNodeIcon(cnetNode);
	}

}